require "rubygems"

spec = Gem::Specification.new do |gem|
   gem.name      = "facade"
   gem.version   = "1.0.2"
   gem.author    = "Daniel J. Berger"
   gem.email     = "djberg96@gmail.com"
   gem.homepage  = "http://www.rubyforge.org/projects/shards"
   gem.platform  = Gem::Platform::RUBY
   gem.summary   = "An easy way to implement the facade pattern in your class"
   gem.test_file = "test/tc_facade.rb"
   gem.has_rdoc  = true
   gem.files = Dir['lib/*.rb'] + Dir['[A-Z]*']  + Dir['test/*']
   gem.files.reject! { |fn| fn.include? "CVS" }
   gem.require_path = "lib"
   gem.extra_rdoc_files = ["README", "CHANGES", "MANIFEST"]
end

if $0 == __FILE__
   Gem.manage_gems
   Gem::Builder.new(spec).build
end
